/* AUTOGENERATED FILE. DO NOT EDIT. */
#ifndef _MOCK_LED_H
#define _MOCK_LED_H

#include "unity.h"
#include "stdint.h"
#include "led.h"

/* Ignore the following warnings, since we are copying code */
#if defined(__GNUC__) && !defined(__ICC) && !defined(__TMS470__)
#if __GNUC__ > 4 || (__GNUC__ == 4 && (__GNUC_MINOR__ > 6 || (__GNUC_MINOR__ == 6 && __GNUC_PATCHLEVEL__ > 0)))
#pragma GCC diagnostic push
#endif
#if !defined(__clang__)
#pragma GCC diagnostic ignored "-Wpragmas"
#endif
#pragma GCC diagnostic ignored "-Wunknown-pragmas"
#pragma GCC diagnostic ignored "-Wduplicate-decl-specifier"
#endif

void mock_led_Init(void);
void mock_led_Destroy(void);
void mock_led_Verify(void);




#define led_init_Ignore() led_init_CMockIgnore()
void led_init_CMockIgnore(void);
#define led_init_StopIgnore() led_init_CMockStopIgnore()
void led_init_CMockStopIgnore(void);
#define led_init_Expect() led_init_CMockExpect(__LINE__)
void led_init_CMockExpect(UNITY_LINE_TYPE cmock_line);
typedef void (* CMOCK_led_init_CALLBACK)(int cmock_num_calls);
void led_init_AddCallback(CMOCK_led_init_CALLBACK Callback);
void led_init_Stub(CMOCK_led_init_CALLBACK Callback);
#define led_init_StubWithCallback led_init_Stub
#define led_exec_IgnoreAndReturn(cmock_retval) led_exec_CMockIgnoreAndReturn(__LINE__, cmock_retval)
void led_exec_CMockIgnoreAndReturn(UNITY_LINE_TYPE cmock_line, uint8_t cmock_to_return);
#define led_exec_StopIgnore() led_exec_CMockStopIgnore()
void led_exec_CMockStopIgnore(void);
#define led_exec_ExpectAndReturn(cmock_retval) led_exec_CMockExpectAndReturn(__LINE__, cmock_retval)
void led_exec_CMockExpectAndReturn(UNITY_LINE_TYPE cmock_line, uint8_t cmock_to_return);
typedef uint8_t (* CMOCK_led_exec_CALLBACK)(int cmock_num_calls);
void led_exec_AddCallback(CMOCK_led_exec_CALLBACK Callback);
void led_exec_Stub(CMOCK_led_exec_CALLBACK Callback);
#define led_exec_StubWithCallback led_exec_Stub

#if defined(__GNUC__) && !defined(__ICC) && !defined(__TMS470__)
#if __GNUC__ > 4 || (__GNUC__ == 4 && (__GNUC_MINOR__ > 6 || (__GNUC_MINOR__ == 6 && __GNUC_PATCHLEVEL__ > 0)))
#pragma GCC diagnostic pop
#endif
#endif

#endif
